Donor Portal
Mark email as read
PUT
/
frontend
/
donor
/
dashboard
/
entity
/
mark_read
/
{client_id}
/
{program_id}
/
{entity_id}
/
{email_id}
/
{session_id}
Mark email as read
curl --request PUT \
--url https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id} \
--header 'session_id: <api-key>'import requests
url = "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}"
headers = {"session_id": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {session_id: '<api-key>'}};
fetch('https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("session_id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}")
.header("session_id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Authorizations
Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.
Path Parameters
Unique identifier for the client
Unique identifier for the program
Unique identifier for the entity
Unique identifier for the email
Session identifier for the donor
⌘I
Mark email as read
curl --request PUT \
--url https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id} \
--header 'session_id: <api-key>'import requests
url = "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}"
headers = {"session_id": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {session_id: '<api-key>'}};
fetch('https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("session_id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}")
.header("session_id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/donor/dashboard/entity/mark_read/{client_id}/{program_id}/{entity_id}/{email_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}